Bug 1393951

Summary: No modeset on hotplug of a new monitor
Product: Red Hat Enterprise Linux 7 Reporter: Alex Deucher <alexander.deucher>
Component: mutterAssignee: Rui Matos <rmatos>
Status: CLOSED CURRENTRELEASE QA Contact: Desktop QE <desktop-qa-list>
Severity: high Docs Contact: Mark Flitter <mflitter>
Priority: high    
Version: 7.3CC: alexander.deucher, fmuellner, jkachuck, jkoten, jordan.lazare, kasmith, mclasen, ovasik, rmatos, rstrode, xiaolong.wang
Target Milestone: rcKeywords: OtherQA, Regression
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Known Issue
Doc Text:
Automatic modesetting fails when attaching monitors with some AMD hardware With some configurations, adding an additional monitor to a system using AMD hardware can fail to activate the new hardware automatically. The problem is currently under investigation. To workaround the issue, system administrators should manually call xrandr(1) to enable the monitor.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-19 19:38:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1420851, 1422276, 1438583, 1475481, 1479818    
Attachments:
Description Flags
RHEL7.2 sos report
none
RHEL 7.3 sos report
none
scratch build none

Description Alex Deucher 2016-11-10 17:07:55 UTC
Description of problem:
Upon hotplug of a new monitor, the ddx does not get a modeset request to light up the new display.  Manually running xrandr is required to light it up.

How reproducible:
Always

Steps to Reproduce:
1. Hotplug a new display

Actual results:
Nothing happens

Expected results:
The new display will light up.

Additional info:
This came up during QA for our amdgpu-pro driver.  We are not seeing a modeset request.  I think gnome-settings-daemon or the xserver may be dropping the randr event.  The monitor shows up as connected in the xrandr output and can be enabled by running xrandr to manually light it up.  We did not see this issue with older versions of RHEL.

Comment 2 Joseph Kachuck 2016-11-16 20:34:30 UTC
Hello,
From the call this worked correctly on a previous release of RHEL? Please confirm the most recent release of RHEL this worked correctly.

Please attach a sosreport from a system directly after seeing this issue?

Thank You
Joe Kachuck

Comment 3 Alex Deucher 2016-11-17 15:26:49 UTC
I just confirmed this is a regression from RHEL 7.2.

Comment 4 Alex Deucher 2016-11-17 15:36:02 UTC
Created attachment 1221595 [details]
RHEL7.2 sos report

Comment 5 Alex Deucher 2016-11-17 15:39:01 UTC
Created attachment 1221596 [details]
RHEL 7.3 sos report

Comment 10 Florian Müllner 2017-01-19 16:47:30 UTC
I wasn't aware of the issue until today, so no.

Comment 16 Rui Matos 2017-06-15 16:19:56 UTC
Created attachment 1288113 [details]
scratch build

Alex, would it be possible for you to test this scratch build? It's for rhel 7.4 so you need to install the beta plus this rpm.

Comment 18 Joseph Kachuck 2017-07-26 19:05:44 UTC
Hello,
This will not be able to make RHEL 7.4. This is now requested for RHEL 7.5.

Thank You
Joe Kachuck

Comment 19 Ray Strode [halfline] 2017-08-14 16:43:01 UTC
*** Bug 1366169 has been marked as a duplicate of this bug. ***

Comment 20 Florian Müllner 2017-08-16 22:48:38 UTC
Waiting on test feedback from customer, so clearing need-info flag.

Comment 21 Joseph Kachuck 2017-09-13 15:32:35 UTC
Hello Alex,
Please confirm if you are still seeing this issue on RHEL 7.4?

Thank You
Joe Kachuck

Comment 23 Matthias Clasen 2017-09-19 14:33:58 UTC
(In reply to Joseph Kachuck from comment #21)
> Hello Alex,
> Please confirm if you are still seeing this issue on RHEL 7.4?
> 
> Thank You
> Joe Kachuck

Note that there is a test build in comment 16

Comment 24 Alex Deucher 2017-09-19 16:27:21 UTC
I can confirm hotplug is working properly on 7.3.  Haven't had a chance to test 7.4 yet.

Comment 25 Joseph Kachuck 2017-09-19 19:38:34 UTC
Hello,
From the last update. I am closing this BZ as current release. Please reopen if required.

Thank You
Joe Kachuck